﻿@using GarageMaster.DAL.Entities
@using Microsoft.AspNetCore.Identity
@inject SignInManager<User> SignInManager
@inject UserManager<User> UserManager

<ul class="navbar-nav">
    @if (SignInManager.IsSignedIn(User))
    {
        <li class="nav-item">
            <a  class="nav-link text-dark" asp-action="My" asp-controller="Account">Hello @User.Identity.Name!</a>
        </li>
        <li class="nav-item">
            <form method="post" asp-controller="Account" asp-action="Logout">
                <input class="nav-link text-dark border-0 bg-transparent" type="submit" value="Выход" />
            </form>
        </li>
    }
    else
    {
        <li class="nav-item">
            <a class="nav-link text-dark" asp-action="Register" asp-controller="Account">Register</a>
        </li>
        <li class="nav-item">
            <a class="nav-link text-dark" asp-action="Login" asp-controller="Account">Login</a>
        </li>
    }
</ul>
